Bug 971168 - newt-0.52.15: don't assume the SOEXT is .so
newt-0.52.15: don't assume the SOEXT is .so
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: newt (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Lichvar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-05 17:22 EDT by yegle
Modified: 2013-08-06 12:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-06 12:31:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description yegle 2013-06-05 17:22:14 EDT
The makefile assumes a _snackmodule.so target, which is not correct on Mac OSX. Why not use $(SOEXT) here?
Comment 1 Miroslav Lichvar 2013-06-06 03:04:28 EDT
I'm not familiar with building on OS X, but I'll be happy to include patches fixing the support.
Comment 3 Miroslav Lichvar 2013-07-31 07:49:25 EDT
The Makefile now uses SOEXT instead of so and can be overridden on the commandline. I think the other changes in the patches from comment #2 need more work to be accepted, e.g. the linker flags shouldn't be changed on non-Darwin systems.

https://git.fedorahosted.org/cgit/newt.git/commit/?id=673e30095776571c4e59ad44d93ed040828ea43f
Comment 4 Miroslav Lichvar 2013-08-06 12:31:05 EDT
This is in newt-0.52.16.

Note You need to log in before you can comment on or make changes to this bug.